Bug 89551 - up2date errors
Summary: up2date errors
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 08:50 UTC by Nick Vanderest
Modified: 2007-04-18 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 20:37:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Vanderest 2003-04-24 08:50:39 UTC
Description of problem:

While fetching rpm headers, up2date croaks with a lengthy error


Version-Release number of selected component (if applicable):

up2date-3.1.23-1

How reproducible:

everytime

Steps to Reproduce:
1.run up2date
    
Actual results:

Fetching Obsoletes list for channel: redhat-linux-i386-9
########################################

Fetching rpm headers...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 993 in ?
    main()
  File "/usr/sbin/up2date", line 720 in main
    fullUpdate, dryRyn=options.dry_run))
  File "/usr/sbin/up2date", line 893, in batchRun
    batch.run()
  File "up2dateBatch.py", line 57, in run
  File "up2dateBatch.py", line 91 in __findPackagesToUpdate
  File "packageList.py", line 308, in getPackagesToInstall
  File "packageList.py", line 336, in __skipPackages
  File "packageList.py", line 357, in __skipFiles
  File "packageList.py", line 416, in buildHeaderList
  File "headers.py", line 118, in __getitem__
  File "headers.py", line 95, in has_key
TypeError: list objects are unhashable

#




Expected results:

I want it to run! ;-)

Additional info:


Note You need to log in before you can comment on or make changes to this bug.